/**
 * 客户档案管理
 * */

var table = $('#table1');
var token = $.cookie("token");
$(function() {
	
	laydate.render({
		elem: '#startTime',
		theme: '#1ab394',
		range: '~',
		calendar: true
	});
	
	initTable();
	
	$('#sc_btns').click(function() {
		initTable();
	});
	
});

function initTable() {
	//先销毁表格
	table.bootstrapTable('destroy');
	//初始化表格,动态从服务器加载数据
	table.bootstrapTable({
		method: "get", //使用get请求到服务器获取数据
		url: huayi.config.callcenter_url + "Customer/GetList", //获取数据的Servlet地址
		contentType: 'application/x-www-form-urlencoded',
		striped: true, //表格显示条纹
		pagination: true, //启动分页
		pageSize: 10, //每页显示的记录数
		pageNumber: 1, //当前第几页
		pageList: [10, 15, 20, 50, 100], //记录数可选列表
		search: false, //是否启用查询
		showColumns: false, //显示下拉框勾选要显示的列
		showRefresh: false, //显示刷新按钮
		sidePagination: "server", //表示服务端请求
		//设置为undefined可以获取pageNumber，pageSize，searchText，sortName，sortOrder
		//设置为limit可以获取limit, offset, search, sort, order
		queryParamsType: "undefined",
		queryParams: function queryParams(params) { //设置查询参数
			var param = {
				page: params.pageNumber, //int	否	条数，默认为10
				pagesize: params.pageSize,//int	否	页码，默认为1
				name: $('#btn_name').val(),//	string	否	姓名，可模糊查询
				tel: $('#btn_tel').val(),	//string	否	手机号或电话
				starttime: $('#startTime').val() && $('#startTime').val().split(' ~ ')[0],	//string	否	开始时间
				endtime: $('#startTime').val() && $('#startTime').val().split(' ~ ')[1],	//string	否	结束时间
				token: token,
			};
			return param;
		},
		onLoadSuccess: function() { //加载成功时执行
			//layer.msg("加载成功");
		},
		onLoadError: function() { //加载失败时执行
			//layer.msg("加载数据失败", { time: 1500, icon: 2 });
		}
	});
}
//格式化编号
function setCode(val, row, index) {
	//return index + 1;
	var page = table.bootstrapTable("getPageCode");
	return page.pageSize * (page.pageNumber - 1) + index + 1;
}

//格式化操作
function formatterOperation(val, row) {
	return '<div class="imgs">'+
				'<a class="xg" href="javascript:;" onclick= btn_edit("' + row.id + '")>编辑</a>'+
				'<a class="xg" href="javascript:;" onclick= btn_delete("' + row.id + '")>删除</a>'+
			'</div>';
}

//添加
function btn_add() {
	layer.open({
		type: 2,
		content: "../commonHtml/addOrEditCustomer.html", //iframe的url，no代表不显示滚动条
		title: '添加客户档案',
		//maxmin: true,
		area: ['650px', '356px'], //宽高
//		btn: ['确定', '取消'],
//		yes: function(index, layero) {
//			debugger
//		}
	});
}
//编辑
function btn_edit(cid) {
	layer.open({
		type: 2,
		content: "../commonHtml/addOrEditCustomer.html?cid=" + cid, //iframe的url，no代表不显示滚动条
		title: '编辑客户档案',
		//maxmin: true,
		area: ['650px', '356px'], //宽高
		
	});
}
//删除
function btn_delete(cid) {
	layer.confirm('您确定要删除当前客户吗？', {
		btn: ['确定', '取消'],
		yes: function(index, layero) {
			$.post(huayi.config.callcenter_url + "Customer/DelCustomer", {
				ids: cid,
				token: token,
			}, function(result) {
				result = JSON.parse(result);
				if(result.state.toLowerCase() == "success") {
					layer.msg("删除成功");
					table.bootstrapTable('refresh');
				}
			})
		},
	});
}